package com.njcn.csdevice.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.njcn.csdevice.pojo.param.CsMarketDataParam;
import com.njcn.csdevice.pojo.param.EngineerIdParam;
import com.njcn.csdevice.pojo.po.CsLedger;
import com.njcn.csdevice.pojo.po.CsLineTopologyTemplate;
import com.njcn.csdevice.pojo.po.CsMarketData;
import com.njcn.csdevice.pojo.vo.CsMarketDataVO;

import java.util.List;

/**
 * Description:
 * Date: 2023/7/31  14:22【需求编号】
 *
 * @author clam
 * @version V1.0.0
 */
public interface CsMarketDataService extends IService<CsMarketData> {



        Boolean add(List<CsMarketDataParam> csMarketDataParams);

        List<CsMarketDataVO> queryByUseId(String userId);

        List<CsLedger> queryEnginnerByUseId(String userId);

        List<CsMarketDataVO> queryAllEnginner(String userId);

        Boolean follow(EngineerIdParam engineerIdParams);

        Boolean insertData(String userId,String engineeringId);
}
